### Method

# Meta Window get_wm_class

#### Declaration [src]

    const char*
    meta_window_get_wm_class (
      MetaWindow* window
    )

#### Description [src]

Return the current value of the name part of `WM_CLASS` X property.

Gets property | `Meta.Window:wm-class`

#### Return value

Type: `const char*`

The current value of the name part of `WM_CLASS` X property.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.